Depends on libnm-glib0, needs to move to libnm-glib2

Bug #427400 reported by Noel J. Bergman on 2009-09-10
76
This bug affects 23 people
Affects Status Importance Assigned to Milestone
empathy (Ubuntu)
Low
Unassigned
gnome-main-menu (Ubuntu)
High
Alexander Sack
krb5-auth-dialog (Ubuntu)
High
Alexander Sack
libtinymail (Ubuntu)
High
Alexander Sack
liferea (Ubuntu)
High
Alexander Sack
network-manager-openvpn (Ubuntu)
High
Alexander Sack
network-manager-pptp (Ubuntu)
High
Alexander Sack
network-manager-vpnc (Ubuntu)
High
Alexander Sack
packagekit (Ubuntu)
High
Alexander Sack

Bug Description

NetWorkManager will soon be coming out with a new version, and libnm-glib0 is replaced by libnm-glib2. This bug is for tracking those packages identified as being dependent on libnm-glib0.

The full list, based on running the results of apt-cache rdepends libnm-glib0 through apt-cache showsrc is: empathy, packagekit, libtinymail, krb5-auth-dialog, gnome-main-menu, and liferea; plus the set of NetworkManager-related packages: network-manager, network-manager-applet, network-manager-vpnc, network-manager-pptp, network-manager-openvpn

Noel J. Bergman (noeljb) on 2009-09-10
tags: added: libnm-glib2
Noel J. Bergman (noeljb) on 2009-09-10
description: updated
Changed in empathy (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
Alexander Sack (asac) on 2009-09-24
Changed in liferea (Ubuntu):
assignee: nobody → Alexander Sack (asac)
importance: Undecided → High
status: New → In Progress
Changed in gnome-main-menu (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alexander Sack (asac)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package liferea - 1.6.0-1ubuntu2

---------------
liferea (1.6.0-1ubuntu2) karmic; urgency=low

  * libnm-glib soname transition (LP: #427400)

 -- Alexander Sack <email address hidden> Thu, 24 Sep 2009 16:07:49 +0200

Changed in liferea (Ubuntu):
status: In Progress → Fix Released
Alexander Sack (asac) on 2009-09-24
Changed in packagekit (Ubuntu):
status: New → In Progress
assignee: nobody → Alexander Sack (asac)
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-main-menu - 0.9.12+dfsg-0ubuntu2

---------------
gnome-main-menu (0.9.12+dfsg-0ubuntu2) karmic; urgency=low

  * libnm-glib soname transition for NM 0.8 - LP: #427400

 -- Alexander Sack <email address hidden> Thu, 24 Sep 2009 16:10:26 +0200

Changed in gnome-main-menu (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package packagekit - 0.4.9+20090825-0ubuntu3

---------------
packagekit (0.4.9+20090825-0ubuntu3) karmic; urgency=low

  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400

 -- Alexander Sack <email address hidden> Thu, 24 Sep 2009 16:12:54 +0200

Changed in packagekit (Ubuntu):
status: In Progress → Fix Released
Alexander Sack (asac) on 2009-09-24
Changed in libtinymail (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alexander Sack (asac)
Changed in krb5-auth-dialog (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alexander Sack (asac)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libtinymail - 0.0.9+svn3897-2ubuntu1

---------------
libtinymail (0.0.9+svn3897-2ubuntu1) karmic; urgency=low

  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400
    - package can be synched next time again

 -- Alexander Sack <email address hidden> Thu, 24 Sep 2009 16:26:38 +0200

Changed in libtinymail (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package krb5-auth-dialog - 0.11-1ubuntu1

---------------
krb5-auth-dialog (0.11-1ubuntu1) karmic; urgency=low

  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400
    - package can be synched next time again

 -- Alexander Sack <email address hidden> Thu, 24 Sep 2009 16:29:34 +0200

Changed in krb5-auth-dialog (Ubuntu):
status: In Progress → Fix Released
Alexander Sack (asac) on 2009-09-24
Changed in network-manager-openvpn (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alexander Sack (asac)
Changed in network-manager-pptp (Ubuntu):
assignee: nobody → Alexander Sack (asac)
Changed in network-manager-vpnc (Ubuntu):
assignee: nobody → Alexander Sack (asac)
Changed in network-manager-pptp (Ubuntu):
importance: Undecided → High
status: New → In Progress
Changed in network-manager-vpnc (Ubuntu):
status: New → In Progress
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-openvpn - 0.8~a~git.20090831t215704.5dd87bd-0ubuntu2

---------------
network-manager-openvpn (0.8~a~git.20090831t215704.5dd87bd-0ubuntu2) karmic; urgency=low

  [ Alexander Sack <email address hidden> ]
  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400

  [ Mathieu Trudel <email address hidden> ]
  * update GET_SOURCE code: exit on any error
    - update debian/rules
  * make GET_SOURCE not go mad for git versions that use a different abbrev-id syntax
    - update debian/rules
  * fix noisy output: use grep -q -c rather than just -c in GET_SOURCE etc.
    - update debian/rules
  * add rule for get-snapshot-info
    - update debian/rules

 -- Mathieu Trudel <email address hidden> Thu, 24 Sep 2009 16:38:13 +0200

Changed in network-manager-openvpn (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-pptp - 0.8~a~git.20090828t162339.8aaca8b-0ubuntu2

---------------
network-manager-pptp (0.8~a~git.20090828t162339.8aaca8b-0ubuntu2) karmic; urgency=low

  [ Alexander Sack <email address hidden> ]
  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400

  [ Mathieu Trudel <email address hidden> ]
  * update GET_SOURCE code: exit on any error
    - update debian/rules
  * make GET_SOURCE not go mad for git versions that use a different abbrev-id syntax
    - update debian/rules
  * add rule for get-snapshot-info
    - update debian/rules
  * fix noisy output: use grep -q -c rather than just -c in GET_SOURCE etc.
    - update debian/rules

 -- Mathieu Trudel <email address hidden> Thu, 24 Sep 2009 17:05:32 +0200

Changed in network-manager-pptp (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-vpnc - 0.8~a~git.20090828t214328.099ab52-0ubuntu2

---------------
network-manager-vpnc (0.8~a~git.20090828t214328.099ab52-0ubuntu2) karmic; urgency=low

  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400

 -- Alexander Sack <email address hidden> Thu, 24 Sep 2009 17:08:53 +0200

Changed in network-manager-vpnc (Ubuntu):
status: In Progress → Fix Released
Christopher (soft-kristal) wrote :

Working now with latest updates. Thanks - I can unplug the ethernet now.

KeithCu (keithcu) wrote :

Works for me now too. Thanks!!

anatoly techtonik (techtonik) wrote :

I have one wedged installation where NM was used to connect to Internet to fetch updates. Now it doesn't start. Is there any way to connect without GNOME?

On Fri, Sep 25, 2009 at 07:26:46AM -0000, anatoly techtonik wrote:
> I have one wedged installation where NM was used to connect to Internet
> to fetch updates. Now it doesn't start. Is there any way to connect
> without GNOME?

ask on the forums or use the launchpad question feature.

 - Alexander

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers